package overflow_grpc_pool

import (
	"time"

	"google.golang.org/grpc"
)

type PoolHandler interface {
	Dial() (*grpc.ClientConn, interface{}, error)

	GetIdleTimeout() time.Duration
	GetMaxIdle() int
	GetMaxCapacity() int
	Validate()
}
